## org.cybergarage.upnp.device
Class USN

    java.lang.Object
      org.cybergarage.upnp.device.USN

    public class USN

extends Object

Field Summary
`static String` `ROOTDEVICE`

Constructor Summary
`USN()`

Method Summary
`static String` `getUDN(String usnValue)`
`static boolean` `isRootDevice(String usnValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOTDEVICE

    public static final String ROOTDEVICE

See Also:
  Constant Field Values

Constructor Detail

### USN

    public USN()

Method Detail

### isRootDevice

    public static final boolean isRootDevice(String usnValue)

### getUDN

    public static final String getUDN(String usnValue)